__all__ = (
    'RootError',
    'NetworkError',
    'NetworkTimeoutError',
    'BadHTTPStatus',
    'NetworkConnectionError',
    'ParseError',
    'AlertError',
)


class RootError(Exception):
    """Base class for all exceptions raised by this module"""


class NetworkError(RootError):
    """Bass-class for network problem"""


class NetworkTimeoutError(NetworkError):
    """Timeout Error"""


class BadHTTPStatus(NetworkError):
    """HTTP status is not 2xx"""


class NetworkConnectionError(NetworkError):
    """Internet disconnected"""


class ParseError(RootError):
    """Base-class for parse error"""
    def __init__(self, message: str, html: str):
        super().__init__(message)
        self.html = html


class AlertError(RootError):
    """Print an alert message"""
